import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Add as AddIcon, Key as KeyIcon, Logout as LogoutIcon } from '@mui/icons-material';
import { Typography } from '@mui/material';
import { auth } from '../../../firebase';
import { CrossIcon } from '../../assets';
import AdminAccordion from '../../components/accordion/AdminAccordion';
import AdminButton from '../../components/button/AdminButton';
import { translate } from '../../locales/translations';
import { useStore } from '../../models';
import { RegistrationAdmin } from '../../pages';
import ChangePassword from '../../pages/change-password/ChangePassword';
import { logOut } from '../../utils';
import './adminNavBar-styles.scss';
const DrawerChildren = (props) => {
    const { toggleDropdown } = props;
    const store = useStore();
    const { domainStore } = store;
    const { userStore } = domainStore;
    const { logoutUser } = userStore;
    const currentUser = auth.currentUser;
    const { email } = currentUser || {};
    const handleLogout = async () => {
        try {
            await logOut();
            logoutUser();
        }
        catch (error) {
            console.log('Logout Error: ', error);
        }
    };
    const accordionItems = [
        {
            id: 1,
            title: translate.components.dashboardHeader.register,
            children: _jsx(RegistrationAdmin, { onClose: toggleDropdown }),
            icon: _jsx(AddIcon, { className: "adminNavBar__contentIcon" }),
        },
        {
            id: 2,
            title: translate.components.dashboardHeader.changePassword,
            children: _jsx(ChangePassword, { onClose: toggleDropdown }),
            icon: _jsx(KeyIcon, { className: "adminNavBar__contentIcon" }),
        },
    ];
    return (_jsxs(_Fragment, { children: [_jsx(CrossIcon, { className: "adminNavBar__closeIcon", onClick: toggleDropdown }), _jsxs("div", { className: "adminNavBar__profileContainer", children: [_jsx("img", { src: 'https://assets.minimals.cc/public/assets/images/mock/avatar/avatar-25.webp', className: "adminNavBar__profileAvatar" }), _jsx(Typography, { className: "adminNavBar__profileName", children: translate.components.dashboardHeader.profileName }), _jsx(Typography, { className: "adminNavBar__profileEmail", children: email })] }), _jsx("div", { className: "adminNavBar__contentContainer", children: _jsx(AdminAccordion, { items: accordionItems }) }), _jsx("div", { className: "adminNavBar__footerButtonContainer", children: _jsx(AdminButton, { onClick: handleLogout, title: translate.components.dashboardHeader.buttonTitle, disableFocusRipple: true, startIcon: _jsx(LogoutIcon, { className: "adminNavBar__logoutIcon" }) }) })] }));
};
export default DrawerChildren;
