import { ChangeEvent, FocusEvent } from 'react';
import './adminRadio-styles.scss';
interface IOption {
    id: string;
    label: string;
}
export interface IAdminRadioProps {
    name?: string;
    /** Label for the radio group */
    label?: string;
    /** Array of options for the radio buttons */
    options: Array<IOption>;
    /** Currently selected value */
    value?: string;
    /** Callback function when the selected value changes */
    onChange?: (event: ChangeEvent<HTMLDivElement>) => void;
    /** Callback function when component is blurred */
    onBlur?: (event: FocusEvent<HTMLDivElement>) => void;
    /** Optional class to style the radio buttons */
    className?: string;
    error?: boolean;
    helperText?: string;
}
declare const _default: import("react").MemoExoticComponent<(props: IAdminRadioProps) => import("react/jsx-runtime").JSX.Element>;
export default _default;
