import { IApiEndPoints, PaginationMethod } from '../types/common-types';
interface IUserTableData<SubmitDataType> {
    key: string;
    page?: number;
    limit?: number;
    sortBy?: string;
    order?: string;
    filters?: any;
    apiEndPoint?: IApiEndPoints;
    search_term?: string;
    paginationMethod?: PaginationMethod;
    handleDetailsSubmit?: (data: SubmitDataType) => Promise<void>;
}
declare const useTableData: <SubmitDataType>(props: IUserTableData<SubmitDataType>) => {
    isLoading: boolean;
    isPending: boolean;
    addItem: (data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    deleteItem: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    updateItem: (id: string | number, data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    updateStatus: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    data: {
        details: any[];
        totalRecords: number;
    };
    error: Error;
    isError: true;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error | null;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/react-query").RefetchOptions) => Promise<import("@tanstack/react-query").QueryObserverResult<{
        details: any[];
        totalRecords: number;
    }, Error>>;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
} | {
    isLoading: boolean;
    isPending: boolean;
    addItem: (data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    deleteItem: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    updateItem: (id: string | number, data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    updateStatus: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    data: {
        details: any[];
        totalRecords: number;
    };
    error: null;
    isError: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error | null;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/react-query").RefetchOptions) => Promise<import("@tanstack/react-query").QueryObserverResult<{
        details: any[];
        totalRecords: number;
    }, Error>>;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
} | {
    isLoading: boolean;
    isPending: boolean;
    addItem: (data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    deleteItem: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    updateItem: (id: string | number, data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    updateStatus: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    data: undefined;
    error: Error;
    isError: true;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error | null;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/react-query").RefetchOptions) => Promise<import("@tanstack/react-query").QueryObserverResult<{
        details: any[];
        totalRecords: number;
    }, Error>>;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
} | {
    isLoading: boolean;
    isPending: boolean;
    addItem: (data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    deleteItem: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    updateItem: (id: string | number, data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    updateStatus: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    data: undefined;
    error: null;
    isError: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error | null;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/react-query").RefetchOptions) => Promise<import("@tanstack/react-query").QueryObserverResult<{
        details: any[];
        totalRecords: number;
    }, Error>>;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
} | {
    isLoading: boolean;
    isPending: boolean;
    addItem: (data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    deleteItem: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    updateItem: (id: string | number, data: any, onSuccess?: () => void, onError?: (error: Error) => void) => void;
    updateStatus: (id: string | number, onSuccess?: () => void, onError?: (error: unknown) => void) => void;
    data: undefined;
    error: null;
    isError: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error | null;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/react-query").RefetchOptions) => Promise<import("@tanstack/react-query").QueryObserverResult<{
        details: any[];
        totalRecords: number;
    }, Error>>;
    fetchStatus: import("@tanstack/react-query").FetchStatus;
};
export { useTableData };
